Subject: Re: [MORG] New WG document:draft-ietf-morg-list-specialuse-00

From: Dan Karp <[email-masked]>
Date: Tue, 26 Jan 2010 08:52:50 -0800 (PST)

>    For the extended list command [LISTX], this extension adds a new
>    return option, "SPECIAL-USE".  The new special-use flags SHOULD be
>    returned if the client specifies the SPECIAL-USE return option,
>    and SHOULD NOT be returned otherwise.
> 
> And I've added a registration for the SPECIAL-USE return option, and
> a normative reference to RFC 5258.  [I can change the SHOULD NOT to
> MAY, if people prefer; I don't care either way.]

MAY is consistent with the handling of CHILDREN, so I'd vote for that.

But would it make even more sense to just always return this data in
extended LIST responses as well?  No need for RETURN SPECIAL-USE, just
always return the data?